summaryrefslogtreecommitdiffstats
path: root/tests/brokenuncompressor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/brokenuncompressor.sh')
-rwxr-xr-xtests/brokenuncompressor.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/brokenuncompressor.sh b/tests/brokenuncompressor.sh
new file mode 100755
index 0000000..42ea32a
--- /dev/null
+++ b/tests/brokenuncompressor.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+if [ $# -ne 0 ] ; then
+ echo "brokenuncompressor.sh: Wrong number of arguments: $#" >&2
+ exit 17
+fi
+$uncompressor
+if test -f breakon2nd ; then
+ rm breakon2nd
+ exit 0;
+fi
+# Breaking an .lzma stream is hard, faking it is more reproduceable...
+echo "brokenuncompressor.sh: claiming broken archive" >&2
+exit 1